Skip to main content
GET
/
api
/
jobs
/
timeline
Jobs Timeline Route
curl --request GET \
  --url https://api.example.com/api/jobs/timeline
{
  "window_start": "2023-11-07T05:31:56Z",
  "window_end": "2023-11-07T05:31:56Z",
  "groups": [
    {
      "key": "<string>",
      "label": "<string>",
      "bar_count": 123,
      "bars": [
        {
          "jid": "<string>",
          "function": "<string>",
          "target": "<string>",
          "user": "<string>",
          "started_at": "2023-11-07T05:31:56Z",
          "completed_at": "2023-11-07T05:31:56Z",
          "minion_count": 123,
          "failed_minion_count": 123
        }
      ]
    }
  ],
  "total_bars": 123,
  "last_polled_at": "2023-11-07T05:31:56Z",
  "active_known": true
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

window
string
default:24h
group_by
string
default:function
include_system
boolean
default:false
function_filter
string | null
Maximum string length: 128
user
string | null
Maximum string length: 255

Response

Successful Response

window_start
string<date-time>
required
window_end
string<date-time>
required
group_by
enum<string>
required
Available options:
function,
user
groups
TimelineGroup · object[]
required
total_bars
integer
required
last_polled_at
string<date-time> | null
required
active_known
boolean
required